Subject: Re: bug#5422: syntax highlighting bug

From: Michael Welsh Duggan <[email-masked]>
Date: Tue, 04 Oct 2011 09:11:32 -0400

Jan Djärv <[email-masked]> writes:

> Hello.
>
>
> 3 okt 2011 kl. 22:59 skrev Glenn Morris <[email-masked]>:
>
>> Bartosz Lew wrote:
>> 
>>> This is just to report on some minor C++ syntax highlighting problem
>>> in emacs.

[...]

>> 
>> I am unable to reproduce this in any version of Emacs, including 23.1.
>> If you still see the problem in the latest release, please send a
>> complete example starting from emacs -Q.
>> 
>> (There seem to have been some fixes in this area, eg
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4847 )
>> 
>
> This is one of the elusive cc-mode bugs that isn't easy to reproduce. 
>
> AFAIK it depends on some cache in cc-mode getting out of sync. So you
> are more likely to see it on a large file you have edited in several
> places. It might even depend on what kind of editing you have done. I
> think this is a symptom of some underlying bug.
>
> I see this in 23.3 and the trunk at least 2-3 times per day when
> editing code with a lot of templates. The < and > are mistaken for
> start/end brace or parentesis.
>
> Save the file, kill the buffer, and reopen the file usually fixes it.

I have been having similar problems, and am really hoping this gets
fixed in the pretest.  I have an open bug (9560) which contains
information which hopefully can reproduce at least one of these cache
inconsistency errors.

-- 
Michael Welsh Duggan
([email-masked])